aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/InstallPackage-RPM14
1 files changed, 13 insertions, 1 deletions
diff --git a/bin/InstallPackage-RPM b/bin/InstallPackage-RPM
index 921683e..0fccafe 100755
--- a/bin/InstallPackage-RPM
+++ b/bin/InstallPackage-RPM
@@ -393,7 +393,19 @@ function lookup_pkgname() {
fi
done
- # Query the remote RPM database
+ # Query the GoboLinux recipe store.
+ if ! Boolean "no-web"
+ then
+ local recipeurl=$(FindPackage -t recipe "${pkgname}")
+ if [ "$recipeurl" ]
+ then
+ # TODO we're potentially discarding the wanted version(s) of the given dep
+ echo "$(basename $recipeurl | sed 's,\(.*\)--.*--.*,\1,g')" && return 0
+ fi
+ fi
+
+ # TODO Query the remote RPM database
+
return 1
}